///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class AudioDataFetchAudio {

  String? code;
  int? createdDate;
  int? duration;
  String? fileName;
  String? fileUrl;
  int? id;
  int? modifiedDate;
  String? type;

  AudioDataFetchAudio({
    this.code,
    this.createdDate,
    this.duration,
    this.fileName,
    this.fileUrl,
    this.id,
    this.modifiedDate,
    this.type,
  });
  AudioDataFetchAudio.fromJson(Map<String, dynamic> json) {
    code = json['code']?.toString();
    createdDate = json['createdDate']?.toInt();
    duration = json['duration']?.toInt();
    fileName = json['fileName']?.toString();
    fileUrl = json['fileUrl']?.toString();
    id = json['id']?.toInt();
    modifiedDate = json['modifiedDate']?.toInt();
    type = json['type']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['code'] = code;
    data['createdDate'] = createdDate;
    data['duration'] = duration;
    data['fileName'] = fileName;
    data['fileUrl'] = fileUrl;
    data['id'] = id;
    data['modifiedDate'] = modifiedDate;
    data['type'] = type;
    return data;
  }
}

class AudioData {

  List<AudioDataFetchAudio>? fetchAudio;

  AudioData({
    this.fetchAudio,
  });
  AudioData.fromJson(Map<String, dynamic> json) {
    if (json['fetchAudio'] != null) {
      final v = json['fetchAudio'];
      final arr0 = <AudioDataFetchAudio>[];
      v.forEach((v) {
        arr0.add(AudioDataFetchAudio.fromJson(v));
      });
      fetchAudio = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchAudio != null) {
      final v = fetchAudio;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['fetchAudio'] = arr0;
    }
    return data;
  }
}

class Audio {

  AudioData? data;

  Audio({
    this.data,
  });
  Audio.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null) ? AudioData.fromJson(json['data']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
